#ifndef REGL_H
#define REGL_H 1

#include <SDL.h>

#include <GL/gl.h>
#include <GL/glext.h>
#include <stdint.h>

int re_load_gl(char *filename);

/* mostly if using too old GL/gl.h or GL/glext.h files */

#ifndef GL_VERSION_2_0
typedef char GLchar;
#endif

#ifndef GL_MESA_program_debug
typedef void (*GLprogramcallbackMESA)(GLenum target, GLvoid *data);
#endif

#ifndef GL_TIME_ELAPSED_EXT
typedef int64_t GLint64EXT;
typedef uint64_t GLuint64EXT;
#endif

typedef struct {
	#include "regl_gl.h"
	#include "regl_glext.h"
} regl_funcs;

extern regl_funcs regl;

#endif
